org.apache.poi.sl.draw.binding

## Class CTPath2D

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTPath2D

-     public class CTPath2D
      extends java.lang.Object

  Java class for CT_Path2D complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_Path2D">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="close" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DClose"/>
               <element name="moveTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DMoveTo"/>
               <element name="lnTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DLineTo"/>
               <element name="arcTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DArcTo"/>
               <element name="quadBezTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DQuadBezierTo"/>
               <element name="cubicBezTo" type="{http://schemas.openxmlformats.org/drawingml/2006/main}CT_Path2DCubicBezierTo"/>
             </choice>
             <attribute name="w" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveCoordinate" default="0" />
             <attribute name="h" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PositiveCoordinate" default="0" />
             <attribute name="fill" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_PathFillMode" default="norm" />
             <attribute name="stroke" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
             <attribute name="extrusionOk" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Object>` | `closeOrMoveToOrLnTo`
    `protected java.lang.Boolean` | `extrusionOk`
    `protected STPathFillMode` | `fill`
    `protected java.lang.Long` | `h`
    `protected java.lang.Boolean` | `stroke`
    `protected java.lang.Long` | `w`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTPath2D()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Object>` | `getCloseOrMoveToOrLnTo()` Gets the value of the closeOrMoveToOrLnTo property.
    `STPathFillMode` | `getFill()` Gets the value of the fill property.
    `long` | `getH()` Gets the value of the h property.
    `long` | `getW()` Gets the value of the w property.
    `boolean` | `isExtrusionOk()` Gets the value of the extrusionOk property.
    `boolean` | `isSetCloseOrMoveToOrLnTo()`
    `boolean` | `isSetExtrusionOk()`
    `boolean` | `isSetFill()`
    `boolean` | `isSetH()`
    `boolean` | `isSetStroke()`
    `boolean` | `isSetW()`
    `boolean` | `isStroke()` Gets the value of the stroke property.
    `void` | `setExtrusionOk(boolean value)` Sets the value of the extrusionOk property.
    `void` | `setFill(STPathFillMode value)` Sets the value of the fill property.
    `void` | `setH(long value)` Sets the value of the h property.
    `void` | `setStroke(boolean value)` Sets the value of the stroke property.
    `void` | `setW(long value)` Sets the value of the w property.
    `void` | `unsetCloseOrMoveToOrLnTo()`
    `void` | `unsetExtrusionOk()`
    `void` | `unsetH()`
    `void` | `unsetStroke()`
    `void` | `unsetW()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### closeOrMoveToOrLnTo

          protected java.util.List<java.lang.Object> closeOrMoveToOrLnTo

    - #### w

          protected java.lang.Long w

    - #### h

          protected java.lang.Long h

    - #### fill

          protected STPathFillMode fill

    - #### stroke

          protected java.lang.Boolean stroke

    - #### extrusionOk

          protected java.lang.Boolean extrusionOk

  - ### Constructor Detail

    - #### CTPath2D

          public CTPath2D()

  - ### Method Detail

    - #### getCloseOrMoveToOrLnTo

          public java.util.List<java.lang.Object> getCloseOrMoveToOrLnTo()

      Gets the value of the closeOrMoveToOrLnTo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the closeOrMoveToOrLnTo property.

      For example, to add a new item, do as follows:

              getCloseOrMoveToOrLnTo().add(newItem);

      Objects of the following type(s) are allowed in the list `CTPath2DClose` `CTPath2DMoveTo` `CTPath2DLineTo` `CTPath2DArcTo` `CTPath2DQuadBezierTo` `CTPath2DCubicBezierTo`

    - #### isSetCloseOrMoveToOrLnTo

          public boolean isSetCloseOrMoveToOrLnTo()

    - #### unsetCloseOrMoveToOrLnTo

          public void unsetCloseOrMoveToOrLnTo()

    - #### getW

          public long getW()

      Gets the value of the w property.
      Returns:
        possible object is `Long`

    - #### setW

          public void setW(long value)

      Sets the value of the w property.
      Parameters:
        `value` - allowed object is `Long`

    - #### isSetW

          public boolean isSetW()

    - #### unsetW

          public void unsetW()

    - #### getH

          public long getH()

      Gets the value of the h property.
      Returns:
        possible object is `Long`

    - #### setH

          public void setH(long value)

      Sets the value of the h property.
      Parameters:
        `value` - allowed object is `Long`

    - #### isSetH

          public boolean isSetH()

    - #### unsetH

          public void unsetH()

    - #### getFill

          public STPathFillMode getFill()

      Gets the value of the fill property.
      Returns:
        possible object is `STPathFillMode`

    - #### setFill

          public void setFill(STPathFillMode value)

      Sets the value of the fill property.
      Parameters:
        `value` - allowed object is `STPathFillMode`

    - #### isSetFill

          public boolean isSetFill()

    - #### isStroke

          public boolean isStroke()

      Gets the value of the stroke property.
      Returns:
        possible object is `Boolean`

    - #### setStroke

          public void setStroke(boolean value)

      Sets the value of the stroke property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetStroke

          public boolean isSetStroke()

    - #### unsetStroke

          public void unsetStroke()

    - #### isExtrusionOk

          public boolean isExtrusionOk()

      Gets the value of the extrusionOk property.
      Returns:
        possible object is `Boolean`

    - #### setExtrusionOk

          public void setExtrusionOk(boolean value)

      Sets the value of the extrusionOk property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### isSetExtrusionOk

          public boolean isSetExtrusionOk()

    - #### unsetExtrusionOk

          public void unsetExtrusionOk()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.